<?php
mysql_connect('localhost', 'пользователь', 'пароль') or die("MySQL сервер недоступен!".mysql_error());
mysql_select_db('базаданных') or die("Нет соединения с БД".mysql_error());
mysql_query('SET names "utf8"');

$key = ""; // ключ
$command = $_GET['command']; // команда
$v1 = intval($_GET['v1']); // id паользователя
$id = intval($_GET['id']); // id  транзакции
$sum = intval($_GET['sum']); // кол-во валюты


switch($command){
    
    
case 'cancel':

$pod=$command.$id.$key;

$md5=md5($pod);

$q1 = mysql_num_rows(mysql_query("SELECT * FROM `payments`"));

$idt = $q1+1;

if($_GET['md5']!==$md5){
    echo '<?xml version="1.0" encoding="UTF-8"?>
<response>
    <id_shop>'.$idt.'</id_shop>
    <result>3</result>
    <comment>Неверная подпись</comment>
</response>';
exit;
}

$q = mysql_query("SELECT * FROM `users` WHERE `id`='$v1'");
$e = mysql_num_rows($q);
if($e=='0'){
   echo '<?xml version="1.0" encoding="UTF-8"?>
<response>
    <result>7</result>
    <comment>Пользователь не найден</comment>
</response>';
exit;
}
    echo '<?xml version="1.0" encoding="UTF-8"?>
<response>
    <result>0</result>
</response>';


break;
    
    
case 'pay':

$pod=$command.$v1.$id.$key;

$md5=md5($pod);

$q1 = mysql_num_rows(mysql_query("SELECT * FROM `payments`"));

$idt = $q1+1;

if($_GET['md5']!==$md5){
    echo '<?xml version="1.0" encoding="UTF-8"?>
<response>
    <id_shop>'.$idt.'</id_shop>
    <result>3</result>
    <comment>Неверная подпись</comment>
</response>';
exit;
}

$q = mysql_query("SELECT * FROM `users` WHERE `id`='$v1'");
$e = mysql_num_rows($q);
if($e=='0'){
   echo '<?xml version="1.0" encoding="UTF-8"?>
<response>
    <result>2</result>
    <comment>Пользователь не найден</comment>
</response>';
   exit;
}
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id`='$v1'")) or die(mysql_error());

/** бонус **/
if($sum>='50'){
    mysql_query("UPDATE `users` SET `min_u`=`min_u`+'160',`max_u`=`max_u`+'160',`hpall`=`hpall`+'10000' WHERE `id`='$v1'");
    $ts = time()+86400;
    mysql_query("INSERT INTO `baff` SET `user`='$v1',`name`='Эфир силы III',`img`='baffuron3.png',`tip`='uron',`uron`='160',`time`='$ts'");
    mysql_query("INSERT INTO `baff` SET `user`='$v1',`name`='Эфир жизни III',`img`='baffhp3.png',`tip`='hp',`hp`='10000',`time`='$ts'");
}



// зачисляем игровую валюту
mysql_query("UPDATE `users` SET `almaz` = `almaz`+'$sum' WHERE `id` = '$v1'") or die(mysql_error()); 

// отправляем пользователю сообщение,что ему зачисленно заказанное кол-во валюты
mysql_query("INSERT INTO `mail` SET `user`='1',`to`='$v1',`text`='Вы успешно купили <img src=img/almaz.png> $sum алмазов',`time`='".time()."'") or die(mysql_error());



if($us['refer']!==''){    
    $prc = round(($sum/100)*15);
    mysql_query("UPDATE `users` SET `almaz`=`almaz`+'$prc' WHERE `id`='$us[refer]'");
}

// пишем данные о заказе в бд
mysql_query("INSERT INTO `payments` SET `v1` = '$v1',`sum` = '$sum',`user`='$us[login]',`xsolla_id`='$id'") or die(mysql_error()); 
    
    
echo '<?xml version="1.0" encoding="UTF-8"?>
<response>
    <result>0</result>
</response>';



break;
    

case 'check':

$pod=$command.$v1.$key;

$md5=md5($pod);

if($_GET['md5']!==$md5){
      echo '<?xml version="1.0" encoding="UTF-8"?>
<response>
    <result>3</result>
    <comment>Неверная подпись</comment>
</response>';
exit;
}

$q = mysql_query("SELECT * FROM `users` WHERE `id`='$v1'");
$e = mysql_num_rows($q);
if($e=='0'){
   echo '<?xml version="1.0" encoding="UTF-8"?>
<response>
    <result>7</result>
    <comment>Пользователь не найден</comment>
</response>';
}else{
    echo '<?xml version="1.0" encoding="UTF-8"?>
<response>
    <result>0</result>
</response>';
}

break;


}
?>